Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Event_Handler_var Class Reference

Auto pointer like class for Event Handlers. More...

`#include <Event_Handler.h>`

Collaboration diagram for ACE_Event_Handler_var:

[legend]
List of all members.

## Public Methods
| ACE_Event_Handler_var (void)
| Default constructor.
| ACE_Event_Handler_var (ACE_Event_Handler *p)
| Construct with a handler.
| ACE_Event_Handler_var (const ACE_Event_Handler_var &b)
| Copy constructor.
| ~ACE_Event_Handler_var (void)
| Destructor.
ACE_Event_Handler_var & | operator= (ACE_Event_Handler *p)
| Assignment to a handler.
ACE_Event_Handler_var & | operator= (const ACE_Event_Handler_var &b)
| Assignment to a ACE_Event_Handler_var.
ACE_Event_Handler * | operator-> () const
| Overloaded "->".
ACE_Event_Handler * | handler (void) const
| Access the handler.
ACE_Event_Handler * | release (void)
| Release the handler.
void | reset (ACE_Event_Handler *p=0)
| Reset the handler.
## Private Attributes
ACE_Event_Handler * | ptr_
| Handler.

## Detailed Description

Auto pointer like class for Event Handlers.

Used to manage lifecycle of handlers. This class calls ACE_Event_Handler::remove_reference() in its destructor.

## Constructor & Destructor Documentation

ACE_Event_Handler_var::ACE_Event_Handler_var | ( | void |  | ) |

| Default constructor.

ACE_Event_Handler_var::ACE_Event_Handler_var | ( | ACE_Event_Handler * | p | ) |

| Construct with a handler.

ACE_Event_Handler_var::ACE_Event_Handler_var | ( | const ACE_Event_Handler_var & | b | ) |

| Copy constructor.

ACE_Event_Handler_var::~ACE_Event_Handler_var | ( | void |  | ) |

| Destructor.

## Member Function Documentation

ACE_Event_Handler * ACE_Event_Handler_var::handler | ( | void |  | ) | const

| Access the handler.

ACE_Event_Handler * ACE_Event_Handler_var::operator-> | ( |  | ) |

| Overloaded "->".

ACE_Event_Handler_var & ACE_Event_Handler_var::operator= | ( | const ACE_Event_Handler_var & | b | ) |

| Assignment to a ACE_Event_Handler_var.

ACE_Event_Handler_var & ACE_Event_Handler_var::operator= | ( | ACE_Event_Handler * | p | ) |

| Assignment to a handler.

ACE_Event_Handler * ACE_Event_Handler_var::release | ( | void |  | ) |

| Release the handler.

void ACE_Event_Handler_var::reset | ( | ACE_Event_Handler * | p = 0 | ) |

| Reset the handler.

## Member Data Documentation

ACE_Event_Handler* ACE_Event_Handler_var::ptr_`[private]`

| Handler.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Event_Handler.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Event_Handler.cpp